Subject: bug#20097: 25.0.50; focus-out-hook doesn't work w/other emacsclient frame

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Jan 2020 20:16:07 +0100

retitle 20097 Add new hook to be run when switching frames
thanks

Stefan Monnier <[email-masked]> writes:

>> Thanks.  If I understand correctly, the feature request is then to add
>> a new hook to be run when switching frames.
>
> I guess so, yes.  But please clarify exactly what you mean by "switching
> frame".  E.g. consider the difference between
> - changing focus from the window manager
> - selecting another frame with `select-frame`.
> - hitting M-x in a minibuffer-free frame (which lends you in the
>   minibuffer of another frame, e.g. in a minibuffer-only frame).

Thanks.  I guess figuring out the precise semantics will have to be
left as an exercise for whoever decides to implement this.

Best regards,
Stefan Kangas